<?php
if(!defined('ABSPATH'))die; // disable direct accessed

$WP_sls_error_count = 0;
$WP_sls_form_error =  '';
$WP_sls_alt_wplogin_name_error = '';
$WP_sls_safe_redirect_location_error = '';



// check for submitted post data
if( isset($_POST[ 'WP_sls_hidden' ]) && $_POST[ 'WP_sls_hidden' ] == 'Y' ) {
	
	check_admin_referer( 'WP_sls_show_login_settings_' );

	// VALIDATION
	// wp-login alternative name location
	if ($_POST['alt_wplogin_name']==''){
		
	} else {
		$ValidChar = array('-', '_');
		$newwploginname = str_replace($ValidChar, '', $_POST['alt_wplogin_name']);

		if (!ctype_alnum($newwploginname)){
			$WP_sls_error_count++;
			$WP_sls_alt_wplogin_name_error = '<br /><span style="color:#ff0000;">'.__('Please enter letters, numbers, hyphen, or underscore only','WP-simple-login-security').'</span>';
		}
	}

	// dual authentication
	$WP_sls_options['enable_dual_authentication'] = 'no';   
	if (isset($_POST['WP_sls_enable_dual_authentication'])){
		$WP_sls_options['enable_dual_authentication'] = $_POST['WP_sls_enable_dual_authentication'];
	}
	$WP_sls_options['show_powered_by'] = 'no';   
	if (isset($_POST['WP_sls_show_powered_by'])){
		$WP_sls_options['show_powered_by'] = $_POST['WP_sls_show_powered_by'];
	}

	// let's check redirect URL
	if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", 'http://'.$_POST['WP_sls_safe_redirect_location'])) {
	} else {
		$WP_sls_error_count++;
		$WP_sls_safe_redirect_location_error = '<br /><span style="color:#ff0000;">'.__('Please enter a valid URL','WP-simple-login-security').'</span>';
	}

	// disable remove me checkbox
	$WP_sls_options['disable_remember_me'] = 'no'; 
	if (isset($_POST['WP_sls_disable_remember_me'])){
		$WP_sls_options['disable_remember_me'] = $_POST['WP_sls_disable_remember_me'];
	}


	// enable logging
	$WP_sls_options['enable_logging'] = 'no';  // 
	if (isset($_POST['WP_sls_enable_logging'])){
		$WP_sls_options['enable_logging'] = $_POST['WP_sls_enable_logging'];
	}
	
	// obscure error messages
	$WP_sls_options['enable_obscure_error_messages'] = 'no';  // 
	if (isset($_POST['WP_sls_enable_obscure_error_messages'])){
		$WP_sls_options['enable_obscure_error_messages'] = $_POST['WP_sls_enable_obscure_error_messages'];
	}


	// proceed to database if all good
	if ($WP_sls_error_count){
		$WP_sls_form_error = '<span style="color:#ff0000">'._n('Oopps! Please check error below','Oopps! Please check errors below',$WP_sls_error_count,'WP-simple-login-security').'</span>';
	} else { 
	
		// let's refresh the values of the array
		$WP_sls_options['first_installed'] = 'no'; // to keep the welcome message appearing
		$WP_sls_options['alt_wplogin_name'] = $_POST['alt_wplogin_name'];
		$WP_sls_options['safe_redirect_location'] = 'http://'.$_POST['WP_sls_safe_redirect_location'];
		
		/* finally let's save the array to the database */
		update_option('WP_sls_options',$WP_sls_options);
		
		/* check if alt_wplogin_name was changed
		 * we need to do this
		 * so that the login_url will refresh on this page
		 */
		if( isset($_POST[ 'WP_sls_hidden' ]) && $_POST[ 'WP_sls_hidden' ] == 'Y' ) {
			if ($_POST['alt_wplogin_name']==$_POST['prev_alt_wplogin_name']){
				$html .= '<div class="updated"><p><strong>'.__('Settings saved','WP-simple-login-security').'</strong></p></div>';
			} else { 
				WP_sls_redirectto(get_admin_url().'admin.php?page=WP_sls&settingssaved=true');
			}
		}
	}
}

?>